Flash en debian jessie

10 envíos / 0 nuevos
Último envío
#1 Dom, 15/01/2017 - 12:38
elministro
Imagen de elministro
Desconectado/a
se unió: 14/08/16

Flash en debian jessie

Estado: 
[ACTIVO]

hola Amigos del blog: Agradeciendo las sugerencias de Rockyiii , instale tus dos recomendaciones ( flashplugin-nonfree, flashplugin-nonfree-extrasound) el problema continua. tengo instalado jessie 8 estable. amd64. mis repositorios

# # jessie-oficiales 
deb http://mirrors.kernel.org/debian/ jessie main contrib non-free 
deb-src http://mirrors.kernel.org/debian/ jessie main contrib non-free 
# jessie-actualizaciones-seguridad 
deb http://security.debian.org/ jessie/updates main contrib non-free deb-src http://security.debian.org/ jessie/updates main contrib non-free 
# jessie-actualizaciones-sistema 
deb http://mirrors.kernel.org/debian/ jessie-updates main contrib non-free 
deb-src http://mirrors.kernel.org/debian/ jessie-updates main contrib non-free 
deb http://mirrors.kernel.org/debian jessie-proposed-updates main contrib non-free 
deb-src http://mirrors.kernel.org/debian jessie-proposed-updates main contrib non-free 
# jessie-backports 
deb http://mirrors.kernel.org/debian/ jessie-backports main contrib non-free 
deb-src http://mirrors.kernel.org/debian/ jessie-backports main contrib non-free 
# deb-multimedia 

# apt-get install deb-multimedia-keyring 
deb http://www.deb-multimedia.org jessie main non-free

prefecto su funcionamiento (excelente) solo encuentro problemas con Instalación de Codecs Multimedia y Flash Player

primero

apt install libdvdcss2 

Segundo

apt install gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad gstreamer0.10-fluendo-mp3 gstreamer0.10-pulseaudio 

Tercero

apt install libgstreamer-perl libgstreamer-interfaces-perl 

Para 64bit

apt install w64codecs 

 

al instalar apt install pepperflashplugin-nonfree browser-plugin-freshplayer-pepperflash tengo sonido en ciertas paginas en otras no y me aparece el siguiente anuncio

Failed to load "libpepflashplayer.so" Freswrapper is a translation layer which needs PPAPI plugin backend. Ensure your system have "libpepflashplayer.so" available. Paths tried: /opt/google/chrome/PepperFlash/libpepflashplayer.so /opt/google/chrome-beta/PepperFlash/libpepflashplayer.so /opt/google/chrome-unstable/PepperFlash/libpepflashplayer.so /usr/lib/adobe-flashplugin/libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so /usr/lib/PepperFlash/libpepflashplayer.so /usr/lib64/PepperFlash/libpepflashplayer.so /usr/lib/chromium-browser/PepperFlash/libpepflashplayer.so /usr/lib64/chromium-browser/PepperFlash/libpepflashplayer.so /usr/lib/chromium/PepperFlash/libpepflashplayer.so /usr/lib64/chromium/PepperFlash/libpepflashplayer.so /opt/chromium/PepperFlash/libpepflashplayer.so /usr/lib/pepflashplugin-installer/libpepflashplayer.so mil 

gracias por su comprensión y ayuda cordial Saludo

Dom, 15/01/2017 - 19:58
Devoto
Imagen de Devoto
Desconectado/a
colaborador
se unió: 17/04/16

Hola @ministro:

¿Nos podrías mostar el mensaje de error que sale de tu navegador al navegar por las páginas donde no tienes sonido?, es decir, abre tu navegador desde la terminal, y nos pases lo que pone al visitar esas páginas. Valga la rebundancia.

Saludos.

devoto- Cuando era niño quería hacerme mayor... Esto no es lo que esperaba .-.

Lun, 16/01/2017 - 15:58
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

seria bueno saber si los problemas de sonido, los estás teniendo tanto con chromium y con firefox o solo con alguno de ellos.

por privado habías comentado que instalaste pepperflashplugin-nonfree browser-plugin-freshplayer-pepperflash, podrías empezar eliminando browser-plugin-freshplayer-pepperflash  ya que a lo mejor es el culpable del problema ya que según entiendo ese programa adapta el pluging de flash que viene para chromium a firefox. lo cual si bien es algo positivo ya que evita tener 2 plugins de flash puede que de problemas.

PD: al margen de lo que te dice Devoto, podrías fijarte el formato de los fideos que no reproducen sonido ya que en realidad youtube esta eliminando flash y reemplazándolo por h264 o webm
podrías probar de instalar:
 

su
apt install libx264-148 libx264-146 libx264-142 x264 x265

 

Lun, 16/01/2017 - 18:55
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Hasta donde yo se, si no ha cambiado la cosa, pepperflash lo que hace es extraer el plugin de chrome/chromium, pero firefox no es capaz de utilizarlo por cuestiones de API.

hoy en día, lo único que se necesita es tener instalado flash-plugin-nonfree si quieres tener flash en GNU/Linux, el paquete -extrasound no es necesario. Tu usuario tiene que estar en el grupo audio, pulse, pulse-access, y rtkit (si usas pulseaudio, y no se si será necesario también que esté en plugdev). Con esto, sólo queda reiniciar y configurar el sonido correctamente (en plasma, por ejemplo, se pueden configurar distintos dispositivos para cada cosa, es decir, que si inicias vlc u otro reproductor de video, el audio salga por un sitio y si usas el navegador, salga por otro), deberás buscar la configuración de tu entorno y asegurarte que está la salida/dispositivo que quieres por defecto para todos los apartados (pulse, o alsa, lo que uses).

De vez en cuando (puedes añadirlo como tarea al cron), ejecutar como root update-flashplugin-nonfree --install.

El paquete -extrasound era necesario antes para tener sonido en el navegador usando flash. Ahora, como digo, con tener el plugin nonfree instalado y una configuración correcta no es necesario, y Jessie no suele precisar de dicho paquete tampoco.

 

Edit, las ultimas versiones de freshplayerplugin parece que si sirven para firefox y demas navegadores. Por lo demás, la configuración si será como he dicho...

 

  No hay bar que por bien no venga....
Lun, 16/01/2017 - 20:51
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Pues vaya, ahora, el paquete flashplugin-nonfree no funciona, no descarga las últmas versiones y es incapaz de instalar/actualizar el plugin de flash... Una alternativa tienes si utilizas los repositorios multimedia y es instalar flasplugin-mozilla, que si bien no es capaz de actualizar el plugin, si instala una versión 24 del mismo. La otra, que la de pepper, no creo que te sirva ya que, al ser Jessie, el paquete está obsoleto y esa versión no te funcionará con firefox/icewasel, ya que sigue usando NPAPI para el flash y para el de pepper se necesita PPAPI.

Otra solución pasa por descargar tu mismo el tar.gz de la pagina de adobe, copiar el archivo libflashplayer.so a /var/lib/flashplugin-nonfree y configurar tu mismo la alternativa (update-alternatives) para que el sistema lo use. Tendrás que buscar como crear dicha alternativa y configurarla. Tras esto, a configurar el audio.

  No hay bar que por bien no venga....
Mar, 17/01/2017 - 08:27 (Responder a #5)
moonwatcher
Imagen de moonwatcher
Desconectado/a
moderador
se unió: 21/01/16

Panko wrote:

Pues vaya, ahora, el paquete flashplugin-nonfree no funciona, no descarga las últmas versiones y es incapaz de instalar/actualizar el plugin de flash... 

Si, hay un bug que impide actualizar flashplugin. https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1489626.html

No es la primera vez que pasa. Ya hace un tiempo pasó lo mismo (creo recordar que lo comenté en el "que haces"), pero pasado unos dias pude actualizar. Esperemos a ver cuanto tardan esta vez frown

We were but stones. Your light made us stars

https://linuxveredas.blogspot.com.es/

Mié, 18/01/2017 - 07:37
rayo
Imagen de rayo
Desconectado/a
colaborador
se unió: 21/02/16

Flash está obsoleto y técnicamente muerto. Hace años que no uso Flash:

https://www.xataka.com/aplicaciones/flash-ya-no-mereces-la-pena

http://occupyflash.org/

Mié, 18/01/2017 - 12:52 (Responder a #7)
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

rayo wrote:
Flash está obsoleto y técnicamente muerto. Hace años que no uso Flash: https://www.xataka.com/aplicaciones/flash-ya-no-mereces-la-pena http://occupyflash.org/

Suerte que tienes, vente a España a ver en cuántos organismos oficiales puedes realizar trámites online correctamente sin tener flash en tu navegador xD

  No hay bar que por bien no venga....
Jue, 19/01/2017 - 15:39
Percontator
Imagen de Percontator
Desconectado/a
colaborador
se unió: 20/03/16

 

 Opino que la acción se divide básicamente en 3 frentes, (apuntados parcialmente por diferentes miembros).

 a - Mirar que codec de audio usan los que suenan y cual los que no. (se supone que no coincidiran entre ellos).

 b - Mirar si la capacidad PPAP necesaria para apoyar la libreria está realmente disponible. (no se como ni donde,

      pero en algún sitio se podrá comprobar).

 c - Tercero pero no menos importante, ver que la libreria esté accesible en alguno de los path en que te dicen

      que la han buscado. Si está en un subdirectorio ligeramente distinto de alguno de estos path será

      como si no estuviera.

 

 Y a partir de ahi, y del mensaje de error solicitado por Devoto, creo que podremos tener una idea mejor de

  cuando y como surge el problema y porque en esos videos si y en aquellos no.

 

Jue, 19/01/2017 - 15:46
enrique
Imagen de enrique
Desconectado/a
se unió: 19/02/16